aboutsummaryrefslogtreecommitdiffstats
path: root/main/zip
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-06 21:26:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:31 +0000
commit2f1ca09b16afa51ea64fcbc0e8271e0842b27d71 (patch)
tree0f22592a91271e99318045c936395d232524be20 /main/zip
parent7d769a64f06368978748e06bd6d8f1d2052a3ecf (diff)
downloadaports-2f1ca09b16afa51ea64fcbc0e8271e0842b27d71.tar.gz
aports-2f1ca09b16afa51ea64fcbc0e8271e0842b27d71.tar.bz2
aports-2f1ca09b16afa51ea64fcbc0e8271e0842b27d71.tar.xz
main/zip: apply patches in prepare section
Diffstat (limited to 'main/zip')
-rw-r--r--main/zip/APKBUILD14
1 files changed, 10 insertions, 4 deletions
diff --git a/main/zip/APKBUILD b/main/zip/APKBUILD
index 835f49757c..8b7d012beb 100644
--- a/main/zip/APKBUILD
+++ b/main/zip/APKBUILD
@@ -15,12 +15,18 @@ source="ftp://ftp.info-${pkgname}.org/pub/info${pkgname}/src/${pkgname}30.zip
30-zip-3.0-pic.patch"
_builddir="$srcdir"/${pkgname}30
-build () {
+prepare() {
+ local i
cd "$_builddir"
- for i in ../*.patch; do
- msg "Applying $i"
- patch -p0 < $i || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
+ esac
done
+}
+
+build () {
+ cd "$_builddir"
make -f unix/Makefile LOCAL_ZIP="${CFLAGS} ${CPPFLAGS}" prefix=/usr generic || return 1
}